MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028495Open CASCADE[OCCT] OCCT:Foundation Classespublic2017-03-01 14:202017-09-29 16:24
Reporterabk 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028495: The maximal depth of the tree is used implicitly in type 'BVH_PrimitiveSet'
DescriptionProvide explicit way to use the maximal depth of the tree in type 'BVH_PrimitiveSet'.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0064052)
git (administrator)
2017-03-01 14:24

Branch CR28495 has been created by abk.

SHA-1: 125d12b686b125e6e8f527bc790912e323322ab6


Detailed log of new commits:

Author: abk
Date: Wed Mar 1 14:22:51 2017 +0300

    0028495: The maximal depth of the tree is used implicitly in type 'BVH_PrimitiveSet'
    
    Type 'BVH_PrimitiveSet' was extended by a static constant to access the maximal depth of the tree.
(0064053)
abk (developer)
2017-03-01 14:27

Please review.
(0064103)
dbp (developer)
2017-03-03 13:50

Dear bugmaster,

Please test the patch.
(0064126)
git (administrator)
2017-03-03 17:49

Branch CR28495 has been updated forcibly by apv.

SHA-1: a5ac512c78df3fdf3306d2c4315daa9585c575d0
(0064127)
apv (tester)
2017-03-03 17:50

Branch CR28495 has been rebased on the current master
(0064158)
apv (tester)
2017-03-06 18:12

Dear BugMaster,

Branch CR28495 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: a5ac512c78df3fdf3306d2c4315daa9585c575d0

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1182

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92599020 / 92357451 [+0.26%]
Total CPU difference: 19970.500000000215 / 19841.0300000004 [+0.65%]

Testing on Windows:
Total MEMORY difference: 57670642 / 57663643 [+0.01%]
Total CPU difference: 18689.263002198604 / 18635.5206576986 [+0.29%]
(0064453)
git (administrator)
2017-03-20 14:33

Branch CR28495 has been deleted by inv.

SHA-1: a5ac512c78df3fdf3306d2c4315daa9585c575d0

- Related Changesets
occt: master e99816df
Timestamp: 2017-03-01 11:22:51
Author: abk
Committer: bugmaster
Details ] Diff ]
0028495: The maximal depth of the tree is used implicitly in type 'BVH_PrimitiveSet'

Type 'BVH_PrimitiveSet' was extended by a static constant to access the maximal depth of the tree.
mod - src/BVH/BVH_PrimitiveSet.hxx Diff ] File ]
mod - src/BVH/BVH_PrimitiveSet.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-01 14:20 abk New Issue
2017-03-01 14:20 abk Assigned To => abv
2017-03-01 14:24 git Note Added: 0064052
2017-03-01 14:26 abk Relationship added child of 0028423
2017-03-01 14:27 abk Note Added: 0064053
2017-03-01 14:27 abk Assigned To abv => kgv
2017-03-01 14:27 abk Status new => resolved
2017-03-01 14:27 abk Steps to Reproduce Updated View Revisions
2017-03-01 14:33 kgv Assigned To kgv => dbp
2017-03-01 14:33 kgv Severity minor => tweak
2017-03-03 13:50 dbp Note Added: 0064103
2017-03-03 13:50 dbp Assigned To dbp => bugmaster
2017-03-03 13:50 dbp Status resolved => reviewed
2017-03-03 17:49 git Note Added: 0064126
2017-03-03 17:50 apv Note Added: 0064127
2017-03-03 17:50 apv Assigned To bugmaster => apv
2017-03-06 17:27 apv Test case number => Not needed
2017-03-06 18:12 apv Note Added: 0064158
2017-03-06 18:12 apv Assigned To apv => bugmaster
2017-03-06 18:12 apv Status reviewed => tested
2017-03-17 14:28 bugmaster Changeset attached => occt master e99816df
2017-03-17 14:28 bugmaster Status tested => verified
2017-03-17 14:28 bugmaster Resolution open => fixed
2017-03-20 14:33 git Note Added: 0064453
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker